/adobe-experience-manager-sites | Type: Application | PCID required: Yes
Tools
adobe_experience_manager_sites_batch_create
Create a batch request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requests | any[] | Yes | — | requests |
adobe_experience_manager_sites_batch_get
Retrieve the status of a batch request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the Batch Request |
adobe_experience_manager_sites_batch_list
List batch requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | When the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items. |
limit | integer | No | — | For a paginated request, this parameter defines the maximum number of items to retrieve. |
jobStatus | string | No | — | If this optional parameter is provided, the batch requests will be filtered based on their status. |
adobe_experience_manager_sites_fragment_add_tags_to_content_fragment
Add tags to a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
tags | any[] | Yes | — | List of tag IDs to be added to the Content Fragment |
adobe_experience_manager_sites_fragment_delete_tags_from_content_fragment
Delete the Tags applied to a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
adobe_experience_manager_sites_fragment_replace_tags_from_content_fragment
Replace the Tags applied to a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
tags | any[] | Yes | — | List of tag IDs to be added to the Content Fragment |
adobe_experience_manager_sites_fragment_variations_delete_variation
Delete a Content Fragment Variation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
name | string | Yes | — | The name of the Variation |
unlinkReferences | boolean | No | — | Optional boolean parameter, if set to true, the references to the deleted fragment will be removed from the referencing fragments. By default, the value of this query parameter is false. |
adobe_experience_manager_sites_fragment_variations_update_variation
Edit a Content Fragment Variation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
name | string | Yes | — | The name of the Variation |
body | any[] | Yes | — | JSON Patch defines a JSON document structure for expressing a sequence of operations to apply to a JavaScript Object Notation (JSON) document; it is suitable for use with the HTTP PATCH method. The application/json-patch+json media type is used to identify such patch documents. For more details check RFC 6902. |
adobe_experience_manager_sites_fragments_add_tags_to_variation
Add Tags to a Content Fragment Variation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
name | string | Yes | — | The name of the variation for which the tags are retrieved. |
tags | any[] | Yes | — | List of tag IDs to be added to the Content Fragment |
adobe_experience_manager_sites_fragments_change_model
Change the model of a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
modelId | string | Yes | — | Defines a base64url with no padding encoded ID. |
adobe_experience_manager_sites_fragments_copy
Copy a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | The unique identifier of the Content Fragment to be copied. |
name | string | No | — | This property allows you to specify a new name for the resource being copied. When a value is not provided the original name of the resource will be used. In case of resource conflicts in the destination folder, the server will automatically generate an alternative resource name based on the provided value. When a value is provided and a conflict exists in the destination folder, the caller will have to explicitly solve the conflict. |
parentPath | string | Yes | — | The folder to which the Content Fragment should be copied. The provided destination path should already exist. If the destination path does not exist, the copy operation will not be performed and the system will return an error. This path should start with /content/dam or should be relative to the /content/dam folder. |
adobe_experience_manager_sites_fragments_copy_tree
Copy a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | The unique identifier of the Content Fragment to be copied. |
copyReferencesToMainFolder | boolean | No | — | If set to true, the references of the Content Fragment will be copied under the same folder as the main Content Fragment. If set to false, the references will be copied under their original folders. |
name | string | No | — | This property allows you to specify a new name for the resource being copied. When a value is not provided the original name of the resource will be used. In case of resource conflicts in the destination folder, the server will automatically generate an alternative resource name based on the provided value. When a value is provided and a conflict exists in the destination folder, the caller will have to explicitly solve the conflict. |
parentPath | string | Yes | — | The folder to which the Content Fragment should be copied. The provided destination path should already exist. If the destination path does not exist, the copy operation will not be performed and the system will return an error. This path should start with /content/dam or should be relative to the /content/dam folder. |
adobe_experience_manager_sites_fragments_create_fragment
Create a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
description | string | No | — | The description of the new Content Fragment. |
fields | any[] | No | — | Data needed for populating the content fragment fields defined in the model |
modelId | string | Yes | — | Defines a base64url with no padding encoded ID. |
name | string | No | — | Optional parameter that represents the name used when storing the new Content Fragment. When missing, the value will be derived by the server from the title value. |
parentPath | string | Yes | — | The folder path where the new Content Fragment will be created, relative to /content/dam. Examples: - /wknd-shared/en/adventures creates fragment at /content/dam/wknd-shared/en/adventures - /my-site/content creates fragment at /content/dam/my-site/content |
title | string | Yes | — | The title of the new Content Fragment. |
adobe_experience_manager_sites_fragments_create_variation_for_fragment
Create a Content Fragment Variation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
description | string | No | — | Variation description. |
title | string | Yes | — | Variation title |
adobe_experience_manager_sites_fragments_create_versions_for_fragment
Create a Version for a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
comment | string | No | — | Content Fragment version comment. |
label | string | No | — | Content Fragment version label. |
adobe_experience_manager_sites_fragments_delete_and_unpublish_fragment
Delete and unpublish Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
unlinkReferences | boolean | No | — | An optional boolean parameter. When set to true, the references to the deleted fragment are removed from all referencing fragments. By default, the value of this query parameter is true. |
adobe_experience_manager_sites_fragments_delete_fragment
Delete a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
unlinkReferences | boolean | No | — | Optional boolean parameter, if set to true, the references to the deleted fragment will be removed from the referencing fragments. By default, the value of this query parameter is false. |
adobe_experience_manager_sites_fragments_delete_tags_from_variation
Delete the Tags applied to a Content Fragment Variation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
name | string | Yes | — | The name of the variation for which the tags are retrieved. |
adobe_experience_manager_sites_fragments_delete_version
Delete a Content Fragment Version Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
versionId | string | Yes | — | Content Fragment Version unique identifier |
adobe_experience_manager_sites_fragments_find_and_replace
Find and replace text in Content Fragments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dryRun | boolean | Yes | — | Find And Replace operation runs in simulation mode, we only get simulated results and no change is committed in JCR. |
fieldNames | any[] | No | — | An optional list of text and long text field names. If provided, it will be used to restrict the Find And Replace operation to those specific fields within the Content Fragments. If not provided, the operation will be performed on all text and long text fields. |
find | string | Yes | — | String we want to replace in all TEXT fields in selected Content Fragments |
ignoreErrors | boolean | Yes | — | True means that we want replacement taking place for all cases when Replacement would be successful and do nothing for cases in error. |
isCaseSensitive | boolean | No | — | True means that we want to perform case sensitive search. |
matchExactWord | boolean | No | — | A flag indicating whether to only consider the exact matches of the find String When set to true (optional), the replacement will occur only for occurrences of the find String that are entire words, excluding parts of compound words. When set to false (default), the replacement will happen for any occurrence of the find String, including within compound words. |
paths | any[] | Yes | — | The list of Content Fragments paths on which Find And Replace operation is performed. |
replace | string | Yes | — | Replacement string. |
adobe_experience_manager_sites_fragments_fragment_referenced_by
Get the parent references of a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
cursor | string | No | — | When the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items. |
limit | integer | No | — | For a paginated request, this parameter defines the maximum number of items to retrieve. |
adobe_experience_manager_sites_fragments_fully_update_fragment
Update all mutable properties of a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
description | string | No | — | Updated description of the Content Fragment. |
fields | any[] | No | — | Updated fields on the Content Fragment. |
title | string | Yes | — | Updated title of the Content Fragment. |
adobe_experience_manager_sites_fragments_get_domain
Get the domain URL matching the AEM tier environment provided.adobe_experience_manager_sites_fragments_get_fragment
Get a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
references | string | No | — | This parameter defines how references will be retrieved for Content Fragments. The following options are available: * direct - only direct references will be collected; they will not be hydrated; * direct-hydrated - only direct references will be collected; they will be fully hydrated; * all - all references up to the maximum allowed depth will be collected; they will not be hydrated; * all-hydrated - all references up to the maximum allowed depth will be collected; they will be fully hydrated * none - no references will be collected Non-hydrated responses will only include the properties defined by the BaseReference type when embedding references. Hydrated responses are defined by each implementation of the BaseReference type. In particular, for Content Fragment references the response will include the fragment’s fields, variations, tags. |
locale | string | No | — | An optional parameter that specifies the locale of the Content Fragment, using a language and country code (e.g. en_us). If provided, the corresponding language copy of the Content Fragment will be returned if available. If not available, a 404 error will be returned. |
adobe_experience_manager_sites_fragments_get_fragment_references
Get the references of a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Resource unique identifier |
adobe_experience_manager_sites_fragments_get_fragment_references_tree
Get the references of a Content Fragment as a list Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Resource unique identifier |
adobe_experience_manager_sites_fragments_get_fragment_variation_references
Get the tree of references contained in a Content Fragment Variation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Resource unique identifier |
name | string | Yes | — | The name of the variation |
adobe_experience_manager_sites_fragments_get_fragment_version
Get a Version for a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
versionId | string | Yes | — | Content Fragment Version unique identifier |
adobe_experience_manager_sites_fragments_get_fragments
List all Content Fragments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | When the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items. |
limit | integer | No | — | For a paginated request, this parameter defines the maximum number of items to retrieve. |
path | string | No | — | Optional UTF-8 encoded parameter to specify a path where to start looking for content fragments. |
references | string | No | — | When the path query parameter identifies a Content Fragment, this parameter allows controlling the way the references are retrieved for that fragment. When this parameter is missing, the references will not be populated. The following options are available: * direct - only direct references will be collected; they will not be hydrated; * direct-hydrated - only direct references will be collected; they will be fully hydrated; * all - all references up to the maximum allowed depth will be collected; they will not be hydrated; * all-hydrated - all references up to the maximum allowed depth will be collected; they will be fully hydrated * none - no references will be collected Non-hydrated responses will only include the properties defined by the BaseReference type when embedding references. Hydrated responses are defined by each implementation of the BaseReference type. In particular, for Content Fragment references the response will include the fragment’s fields, variations, tags. |
projection | string | No | — | If this optional parameter is provided and its value is ‘summary’, the fragments in the response will contain only the required properties. |
adobe_experience_manager_sites_fragments_get_languages
Get the available language(s) for creating Language Copies for a given Content Fragment path Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
path | string | Yes | — | Required UTF-8 encoded parameter to specify a Content Fragment path for which to retrieve the available language roots. |
adobe_experience_manager_sites_fragments_get_model
Get the model of a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
adobe_experience_manager_sites_fragments_get_permissions
Get the current user’s permissions on a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
adobe_experience_manager_sites_fragments_get_preview_urlfor_fragment
Get the preview URLs for a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
adobe_experience_manager_sites_fragments_get_tags_from_fragment
Get the Tags applied to a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
adobe_experience_manager_sites_fragments_get_tags_from_variation
Get the Tags applied to a Content Fragment Variation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
name | string | Yes | — | The name of the variation for which the tags are retrieved. |
adobe_experience_manager_sites_fragments_get_translations
Get the locales and language copies of a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
adobe_experience_manager_sites_fragments_get_variation_for_fragment
Get a Variation for a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
name | string | Yes | — | The name of the Variation |
references | string | No | — | This parameter defines how references will be retrieved for Content Fragments. The following options are available: * direct - only direct references will be collected; they will not be hydrated; * direct-hydrated - only direct references will be collected; they will be fully hydrated; * all - all references up to the maximum allowed depth will be collected; they will not be hydrated; * all-hydrated - all references up to the maximum allowed depth will be collected; they will be fully hydrated * none - no references will be collected Non-hydrated responses will only include the properties defined by the BaseReference type when embedding references. Hydrated responses are defined by each implementation of the BaseReference type. In particular, for Content Fragment references the response will include the fragment’s fields, variations, tags. |
adobe_experience_manager_sites_fragments_get_variations_for_fragment
List a Content Fragment’s Variations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
limit | integer | No | — | For a paginated request, this parameter defines the maximum number of items to retrieve. |
cursor | string | No | — | When the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items. |
adobe_experience_manager_sites_fragments_get_versions_for_fragment
List a Content Fragment’s Versions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
limit | integer | No | — | For a paginated request, this parameter defines the maximum number of items to retrieve. |
cursor | string | No | — | When the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items. |
adobe_experience_manager_sites_fragments_permissions
Get the current’s user permissions on a list of resources Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
paths | any[] | Yes | — | The list of resource paths - Content Fragments, Content Fragment Models and Folder - for which the system has to return the list of permissions for a user. The Content Fragments are expected to be within the /content/dam directory, the Content Fragment Models within the /conf directory, and the Folders could be within either /content/dam or the /conf directory. |
preferredPermissions | any[] | No | — | The preferred list of permissions to return. |
adobe_experience_manager_sites_fragments_publish
Publish Content Fragments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agentId | string | No | — | The agent id used for publishing the content fragments. |
filterReferencesByStatus | any[] | No | — | Provides the option to select which references should be included in the publication based on their status. When a status is selected (e.g., DRAFT), references with that status will be published along with the content fragment. Multiple statuses can be selected to include references with any of those statuses. If no option is selected, no references will be published regardless of their status. |
ids | any[] | No | — | The list of content fragment IDs. |
paths | any[] | No | — | The list of content fragment paths. |
preValidationSeconds | integer | No | — | If this property is provided, a validation of all the fragments contained in the payload together with all their references will be attempted. This validation only applies when filterReferencesByStatus is populated, as it validates the complete references tree based on the selected reference statuses. Without filterReferencesByStatus, there are no references to validate, making this property ineffective. The cutoff limit for this validation will be the provided value in seconds. The fragments from the payload which will be found invalid in the allocated interval will be removed from the publish operation and their status will be returned as such in the response. In case there are no valid fragments in the payload after the validation, the workflow will not be started. |
scheduledTime | integer | No | — | The scheduled time as an epoch timestamp. |
workflowModelId | string | No | — | The workflow model id used for initiating the workflow instance to handle the publication. AEM provides the designated model /etc/workflow/models/scheduled_activation_with_references for publishing content fragments including their references. |
workflowTitle | string | No | — | A freely defined non-empty string used to identify the workflow when it executes. |
adobe_experience_manager_sites_fragments_referenced_by
Get the parent references of a given list of resources Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
paths | any[] | Yes | — | The list of Content Fragment paths for which to retrieve the back references. |
adobe_experience_manager_sites_fragments_replace_tags_from_variation
Replace the Tags applied to a Content Fragment Variation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
name | string | Yes | — | The name of the variation for which the tags are retrieved. |
tags | any[] | Yes | — | List of tag IDs to be added to the Content Fragment |
adobe_experience_manager_sites_fragments_restore_version
Restore a Content Fragment Version Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
versionId | string | Yes | — | Content Fragment Version unique identifier |
adobe_experience_manager_sites_fragments_retrieve_model_uischema
Get the UI schema associated with the Content Fragment Model of a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
adobe_experience_manager_sites_fragments_scheduled_publication_status
Get the scheduled publication status for a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Resource unique identifier |
adobe_experience_manager_sites_fragments_scheduled_publication_status_multiple_fragments
Get the scheduled publication status for a list of Content Fragment IDs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ids | any[] | No | — | The list of Content Fragment IDs. |
adobe_experience_manager_sites_fragments_search
Search API for Content Fragments based on various Search Criteria. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | When the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items. |
limit | integer | No | — | For a paginated request, this parameter defines the maximum number of items to retrieve. |
query | string | Yes | — | The query parameter provides filtering and sorting criteria that should be applied when performing a search. The value passed should be valid JSON that has been URL encoded. |
projection | string | No | — | If this optional parameter is provided and its value is ‘summary’, the fragments in the response will contain only the required properties. |
adobe_experience_manager_sites_fragments_translations
Get the locales and language copies of a given list of resources Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
paths | any[] | Yes | — | The list of paths. |
adobe_experience_manager_sites_fragments_update_checkout_state
Update checkout state of a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
checkedOut | boolean | Yes | — | Indicates whether the fragment should be checked out (true) or checked in (false). - true: Checks out the fragment, creating an exclusive lock for the current user - false: Checks in the fragment, removing the exclusive lock |
adobe_experience_manager_sites_fragments_update_fragment
Edit a Content Fragment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fragmentId | string | Yes | — | Content Fragment unique identifier |
references | string | No | — | An optional parameter that defines how references should be handled when patching the Content Fragment. |
body | any[] | Yes | — | JSON Patch defines a JSON document structure for expressing a sequence of operations to apply to a JavaScript Object Notation (JSON) document; it is suitable for use with the HTTP PATCH method. The application/json-patch+json media type is used to identify such patch documents. For more details check RFC 6902. |
adobe_experience_manager_sites_graph_ql_get
GraphQL GET request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | string | Yes | — | GraphQL query string |
variables | string | No | — | Variables simplify GraphQL queries by letting you pass data separately. Can be declared after the query are passed like arguments to a function and begin with $. |
adobe_experience_manager_sites_graph_ql_post
GraphQL POST request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | string | Yes | — | query |
variables | object | No | — | Variables simplify GraphQL queries by letting you pass data separately. Can be declared after the query and are passed like arguments to a function and begin with $. |
adobe_experience_manager_sites_models_add_tags_to_content_fragment_model
Add Tags to a Content Fragment Model Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the Content Fragment Model. |
tags | any[] | Yes | — | List of tag IDs to be added to the Content Fragment |
adobe_experience_manager_sites_models_copy
Copy a Content Fragment Model Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The unique identifier of the Content Fragment Model to be copied. |
name | string | No | — | This property allows you to specify a new name for the resource being copied. When a value is not provided the original name of the resource will be used. In case of resource conflicts in the destination folder, the server will automatically generate an alternative resource name based on the provided value. |
parentPath | string | Yes | — | The configuration folder to which the Content Fragment Model should be copied. The provided destination path should already exist. If the destination path does not exist, the copy operation will not be performed and the system will return an error. |
adobe_experience_manager_sites_models_create_model
Create a Content Fragment Model Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dryRun | boolean | No | — | If set to true, this operation allows validating the payload for creating one or more Content Fragment Models before performing the actual creation request. It performs the same validations as the creation process but does not create the models. |
configurationFolder | string | No | — | The configuration folder where the models should be created. If both configurationFolder and models.configurationFolder are provided, the latter will take precedence. |
locked | boolean | No | — | If the models are locked, then no edits can be performed on them, except for unlocking them. If both locked and models.locked are provided, the latter will take precedence. |
models | any[] | No | — | models |
status | string | No | — | The status of this model. A model is in draft as soon as it’s created, unless the user specifically marks the model as enabled. A model is in disabled state only when a user explicitly disables the model. |
adobe_experience_manager_sites_models_create_or_update_uischema
Update the existing UI schema associated with a Content Fragment Model Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the Content Fragment Model. |
constraints | any[] | No | — | constraints |
uiSchema | object | No | — | Common base interface for any UI schema element. |
adobe_experience_manager_sites_models_delete_model
Delete a Content Fragment Model Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the Content Fragment Model to retrieve. |
adobe_experience_manager_sites_models_delete_tags_from_content_fragment_model
Delete the Tags applied to a Content Fragment Model Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the Content Fragment Model. |
adobe_experience_manager_sites_models_get_model
Get a Content Fragment Model Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the Content Fragment Model to retrieve. |
adobe_experience_manager_sites_models_get_models
List all Content Fragment Models Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | When the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items. |
limit | integer | No | — | For a paginated request, this parameter defines the maximum number of items to retrieve. |
projection | string | No | — | This parameter is optional. If set to ‘minimal’, the response will include include only the resource identifiers of the Content Fragment Model: id, path, and name. If set to ‘summary’, the Content Fragment Model’s fields will not be populated in the response. If set to ‘full’, the response will include all properties. By default, the value of this query parameter is ‘full’. |
adobe_experience_manager_sites_models_get_tags_from_content_fragment_model
Get the Tags applied to a Content Fragment Model Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the Content Fragment Model. |
adobe_experience_manager_sites_models_publish
Publish Content Fragment Models Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agentId | string | No | — | The agent id used for publishing the content fragment models. |
filterAllowedModelIdsByStatus | any[] | Yes | — | The status of the referenced models. A model is in draft as soon as it’s created, unless the user specifically marks the model as enabled. A model is in disabled state only when a user explicitly disables the model. |
ids | any[] | Yes | — | The list of content fragment model ids. |
scheduledTime | integer | No | — | The scheduled time as an epoch timestamp. |
workflowModelId | string | No | — | The workflow model id used for initiating the workflow instance to handle the publication. AEM provides the designated model /etc/workflow/models/scheduled_model_activation_with_references for publishing contents including references. |
workflowTitle | string | No | — | A freely defined non-empty string used to identify the workflow when it executes. |
adobe_experience_manager_sites_models_replace_tags_from_content_fragment_model
Replace the Tags applied to a Content Fragment Model Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the Content Fragment Model. |
tags | any[] | Yes | — | List of tag IDs to be added to the Content Fragment |
adobe_experience_manager_sites_models_retrieve_uischema
Get the UI schema associated with the Content Fragment Model Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the Content Fragment Model. |
adobe_experience_manager_sites_models_scheduled_publication_status_multiple_models
Get the scheduled publication status for a list of Content Fragment Models Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ids | any[] | Yes | — | The list of Content Fragment Model IDs. |
adobe_experience_manager_sites_models_search
Search API for Content Fragment Models based on various Search Criteria. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | When the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items. |
limit | integer | No | — | For a paginated request, this parameter defines the maximum number of items to retrieve. |
query | string | Yes | — | The query parameter provides filtering and sorting criteria that should be applied when performing a search. The value passed should be valid JSON that has been URL encoded. |
projection | string | No | — | This parameter is optional. If set to ‘minimal’, the response will include include only the resource identifiers of the Content Fragment Model: id, path, and name. If set to ‘summary’, the Content Fragment Model’s fields will not be populated in the response. If set to ‘full’, the response will include all properties. By default, the value of this query parameter is ‘full’. |
adobe_experience_manager_sites_models_update_model
Edit a Content Fragment Model Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the Content Fragment Model to retrieve. |
body | any[] | Yes | — | JSON Patch defines a JSON document structure for expressing a sequence of operations to apply to a JavaScript Object Notation (JSON) document; it is suitable for use with the HTTP PATCH method. The application/json-patch+json media type is used to identify such patch documents. For more details check RFC 6902. |
adobe_experience_manager_sites_permissions
Get the current’s user permissions on a list of resources Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
paths | any[] | Yes | — | The list of resource paths - Content Fragments, Content Fragment Models and Folder - for which the system has to return the list of permissions for a user. The Content Fragments are expected to be within the /content/dam directory, the Content Fragment Models within the /conf directory, and the Folders could be within either /content/dam or the /conf directory. |
preferredPermissions | any[] | No | — | The preferred list of permissions to return. |
adobe_experience_manager_sites_workflows_get_workflow
Get a Workflow Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workflowInstanceId | string | Yes | — | The workflow instance identifier. |
adobe_experience_manager_sites_workflows_get_workflows
List Workflows Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | When the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items. |
limit | integer | No | — | For a paginated request, this parameter defines the maximum number of items to retrieve. |
query | string | No | — | The query parameter provides filtering and sorting criteria that should be applied when performing a search. The value passed should be valid JSON that has been URL encoded. |
adobe_experience_manager_sites_workflows_start
Start a workflow Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
type | string | Yes | — | Type of workflow |
workflowModelId | string | No | — | The workflow model id used for initiating the workflow instance |
workflowTitle | string | No | — | A freely defined string used to identify the workflow when it executes. |

